<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="Get the final component type for this Array Type.    In order to ensure a unique instance, we will resolve this type using reflection. It turns out to be most efficient to just do this by trimming the name.">
<meta name="KeyWords" content="getFinalComponentType,Operation getFinalComponentType,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Operation&nbsp;<a href="class3b65ade403a6.htm" target="contents_frame">JTypeJavaHelpers</a>&nbsp;<IMG SRC="../../webviewer/34.jpg"BORDER=0>getFinalComponentType&nbsp;(),&nbsp;in&nbsp;Class&nbsp;<a href="class3a9d79ed01df.htm" target="contents_frame">ArrayType</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>Get&nbsp;the&nbsp;final&nbsp;component&nbsp;type&nbsp;for&nbsp;this&nbsp;Array&nbsp;Type.
<BR>
<BR>In&nbsp;order&nbsp;to&nbsp;ensure&nbsp;a&nbsp;unique&nbsp;instance,&nbsp;we&nbsp;will&nbsp;resolve&nbsp;this&nbsp;type&nbsp;using&nbsp;reflection.&nbsp;It&nbsp;turns&nbsp;out&nbsp;to&nbsp;be&nbsp;most&nbsp;efficient&nbsp;to&nbsp;just&nbsp;do&nbsp;this&nbsp;by&nbsp;trimming&nbsp;the&nbsp;name.</font><BR><BR>
</body>
</html>
